import { jsx } from "react/jsx-runtime";
import { TokenRIN as TokenRIN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRIN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "RIN", "data-name": "TokenRIN", ...props, children: /* @__PURE__ */ jsx(TokenRIN$1, { variant }) });
  }
);
TokenRIN.displayName = "TokenRIN";
Object.assign(TokenRIN, { isGdsIcon: true });
export {
  TokenRIN
};
